package report

import (
	logger "eta/eta_mini_ht_api/common/component/log"
	"eta/eta_mini_ht_api/models/ht"
	reportDao "eta/eta_mini_ht_api/models/report"
)

func GetHTReportIdsByPermissionIdsWithRiskLevel(permissionIds []int) (orgIds []int, err error) {
	//品种名字筛选
	var permissionNames []string
	permissionNames, err = GetPermissionNamesByPermissionIds(permissionIds)
	if err != nil {
		logger.Error("获取品种名称列表失败:%v", err)
		return
	}
	//更具query查询ids
	return reportDao.GetOrgIdsByPlateNames(permissionNames)
}
func GetHtReport(id int) (pdf string, err error) {
	return ht.GetPDFUrl(id)
}
