package eta

import "eta/eta_mini_ht_api/models"

// ChartPermissionSearchKeyWordMapping 表示 chart_permission_search_key_word_mapping 表的结构
type ChartPermissionSearchKeyWordMapping struct {
	ChartPermissionID int `gorm:"column:chart_permission_id"` // chart_permission_id 字段
	ClassifyID        int `gorm:"column:classify_id"`         // classify_id 字段
}

func GetSyncClassifyList() (classifyIds []ChartPermissionSearchKeyWordMapping, err error) {
	db := models.ETA()
	err = db.Model(&ChartPermissionSearchKeyWordMapping{}).Select("chart_permission_id,classify_id").Where("classify_id >0").Find(&classifyIds).Error
	return
}

func (c *ChartPermissionSearchKeyWordMapping) TableName() string {
	return "chart_permission_search_key_word_mapping"
}
