package report

import "eta/eta_mini_ht_api/models"

type GLReportAuthorMapping struct {
	ID          int    `gorm:"column:id;primary_key;comment:'id'" json:"id"`
	Plate       string `gorm:"column:plate;comment:'板块'" json:"plate"`
	Permission  string `gorm:" column:permission;comment:'权限'" json:"permission"`
	AuthorNames string `gorm:"column:author_names;comment:'作者'" json:"author_names"f`
}

func GetGLAuthorNames() (mappingList []GLReportAuthorMapping, err error) {
	db := models.Main()
	err = db.Model(&GLReportAuthorMapping{}).Select("*").Find(&mappingList).Error
	return
}

func GetPlateNameByPermissionName(permissionName string) (name string, err error) {
	db := models.Main()
	err = db.Model(&GLReportAuthorMapping{}).Select("Plate").Where("permission = ?", permissionName).First(&name).Error
	return
}
